/* -*- Mode: C++; tab-width: 6 -*- */
/*
 *
 * This file is part of GSToyLib a library for OpenTTD noai and nogo
 * Copyright (C) 2014 Krinn <krinn@chez.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

require("version.nut");
class GSToyLib extends GSLibrary {
	function GetAuthor()		{ return "Krinn"; }
	function GetName()			{ return "GSToyLib"; }
	function GetShortName()		{ return "GSTL"; }
	function GetDescription()	{ return "Library that provide funds to toy AIs from a GS."; }
	function GetAPIVersion()	{ return "1.4"; }
	function GetVersion()		{ return GSTOYLIB_VERSION; }
	function GetDate()			{ return "2012-04-21"; }
	function GetURL()			{ return "http://www.tt-forums.net/viewtopic.php?f=65&t=71597"; }
	function CreateInstance()	{ return "GSToyLib"; }
	function GetCategory()		{ return "Library"; }
}

RegisterLibrary(GSToyLib());
